#**************************************************************
# This .sbc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************

#**************************************************************
# Create Generated Clock
#**************************************************************
create_clock -name "clock_50" -period 20ns [get_ports {CLK50}] -waveform {0.000ns 10.000ns}
create_clock -period 8 -name "NET0_RX_CLK" [get_ports NET0_RX_CLK]
create_clock -period 8 -name "NET1_RX_CLK" [get_ports NET1_RX_CLK]


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
# Automatically constrain PLL and other generated clocks
derive_pll_clocks -create_base_clocks

# Automatically calculate clock uncertainty to jitter and other effects.
derive_clock_uncertainty


#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay  -clock "NET0_RX_CLK"  -min 2 [get_ports NET0_RX_CLK]
set_input_delay  -clock "NET1_RX_CLK"  -min 2 [get_ports NET1_RX_CLK]


#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************



